Bug 1032225 - [abrt] bind-utils-9.9.4-8.fc20: getaddresses: Process /usr/bin/dig was killed by signal 11 (SIGSEGV)
[abrt] bind-utils-9.9.4-8.fc20: getaddresses: Process /usr/bin/dig was killed...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Hozza
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:b73deb911aae1090423dba5bb95...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 13:12 EST by Juan Orti
Modified: 2013-12-16 04:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-16 04:11:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (22.57 KB, text/plain)
2013-11-19 13:12 EST, Juan Orti
no flags Details
File: cgroup (169 bytes, text/plain)
2013-11-19 13:12 EST, Juan Orti
no flags Details
File: core_backtrace (6.73 KB, text/plain)
2013-11-19 13:12 EST, Juan Orti
no flags Details
File: dso_list (2.97 KB, text/plain)
2013-11-19 13:13 EST, Juan Orti
no flags Details
File: environ (3.90 KB, text/plain)
2013-11-19 13:13 EST, Juan Orti
no flags Details
File: exploitable (81 bytes, text/plain)
2013-11-19 13:13 EST, Juan Orti
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-19 13:13 EST, Juan Orti
no flags Details
File: maps (12.32 KB, text/plain)
2013-11-19 13:13 EST, Juan Orti
no flags Details
File: open_fds (273 bytes, text/plain)
2013-11-19 13:13 EST, Juan Orti
no flags Details
File: proc_pid_status (957 bytes, text/plain)
2013-11-19 13:13 EST, Juan Orti
no flags Details
File: var_log_messages (923 bytes, text/plain)
2013-11-19 13:13 EST, Juan Orti
no flags Details
Full abrt dump (176.80 KB, application/x-xz)
2013-11-20 04:55 EST, Juan Orti
no flags Details
rpm -qa (78.38 KB, text/plain)
2013-11-29 04:18 EST, Juan Orti
no flags Details
dig -d -q -m MX gmail.com (220.12 KB, text/plain)
2013-11-29 04:19 EST, Juan Orti
no flags Details
dig -d MX gmail.com (1003 bytes, text/plain)
2013-11-29 04:20 EST, Juan Orti
no flags Details

  None (edit)
Description Juan Orti 2013-11-19 13:12:38 EST
Description of problem:
dig MX example.com @8.8.8.8

Version-Release number of selected component:
bind-utils-9.9.4-8.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        dig MX @8.8.8.8 miceliux.com
crash_function: getaddresses
executable:     /usr/bin/dig
kernel:         3.11.8-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (1 frames)
 #1 getaddresses at dighost.c:3685
Comment 1 Juan Orti 2013-11-19 13:12:48 EST
Created attachment 826227 [details]
File: backtrace
Comment 2 Juan Orti 2013-11-19 13:12:52 EST
Created attachment 826228 [details]
File: cgroup
Comment 3 Juan Orti 2013-11-19 13:12:56 EST
Created attachment 826229 [details]
File: core_backtrace
Comment 4 Juan Orti 2013-11-19 13:13:00 EST
Created attachment 826230 [details]
File: dso_list
Comment 5 Juan Orti 2013-11-19 13:13:05 EST
Created attachment 826231 [details]
File: environ
Comment 6 Juan Orti 2013-11-19 13:13:09 EST
Created attachment 826232 [details]
File: exploitable
Comment 7 Juan Orti 2013-11-19 13:13:12 EST
Created attachment 826233 [details]
File: limits
Comment 8 Juan Orti 2013-11-19 13:13:17 EST
Created attachment 826234 [details]
File: maps
Comment 9 Juan Orti 2013-11-19 13:13:21 EST
Created attachment 826235 [details]
File: open_fds
Comment 10 Juan Orti 2013-11-19 13:13:25 EST
Created attachment 826236 [details]
File: proc_pid_status
Comment 11 Juan Orti 2013-11-19 13:13:28 EST
Created attachment 826237 [details]
File: var_log_messages
Comment 12 Tomáš Hozza 2013-11-20 03:43:17 EST
Hi.

Would it be possible to provide me a coredump?
Comment 13 Juan Orti 2013-11-20 04:55:17 EST
Created attachment 826517 [details]
Full abrt dump
Comment 14 Tomáš Hozza 2013-11-28 12:22:37 EST
Are you able to reproduce this issue? Unfortunately I'm not and looking
into the coredump and backtraces it really doesn't make any sense.

> Description of problem:
> Truncated backtrace:
> Thread no. 1 (1 frames)
>  #1 getaddresses at dighost.c:3685

point to a completely different part of the source compared to what I
get from the coredump...

(gdb) bt
#0  0x0000000000000000 in ?? ()
#1  0x000000000040fd98 in send_udp (query=0x7f50d3e5b018) at dighost.c:2694
#2  0x00000000004118a3 in start_lookup () at dighost.c:1727
#3  0x0000000000413216 in onrun_callback (task=<optimized out>, event=0x0) at dighost.c:3751
#4  0x0000003325231826 in dispatch (manager=0x7f50d3e4b010) at task.c:1105
#5  run (uap=0x7f50d3e4b010) at task.c:1286
#6  0x0000003325e07f33 in start_thread (arg=0x7f50d3e45700) at pthread_create.c:309
#7  0x00000033256f4ead in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111


If you're able to reproduce it I would like to prepare a debug package for you
so I can get more information.(In reply to Juan Orti Alcaine from comment #0)
Comment 15 Juan Orti 2013-11-28 17:02:28 EST
This problem is very weird, it's 100% reproducible in my main desktop PC, but I have other five F20 VMs where dig is working fine.
This computer was upgraded with fedup a month ago, and I have not got any problems with dig before.

I have reinstalled it with:
# yum remove bind-utils
# yum clean all
# yum install bind-utils

But the problem persists.

I can do all the testing you want, so if you build that debug version I'll try it.
Comment 16 Tomáš Hozza 2013-11-29 03:48:33 EST
(In reply to Juan Orti Alcaine from comment #15)
> I can do all the testing you want, so if you build that debug version I'll
> try it.

Great.

For the start, could you please:
1. attach output of 'rpm -qa'
2. run dig with option '-d' and also '-q -m' and attach both outputs

Thanks in advance.
Comment 17 Juan Orti 2013-11-29 04:18:29 EST
Created attachment 830550 [details]
rpm -qa

rpm -qa
Comment 18 Juan Orti 2013-11-29 04:19:29 EST
Created attachment 830551 [details]
dig -d -q -m MX gmail.com
Comment 19 Juan Orti 2013-11-29 04:20:29 EST
Created attachment 830552 [details]
dig -d MX gmail.com
Comment 20 Juan Orti 2013-12-13 12:04:12 EST
I think I have fixed it. Some package I had installed must be broken. I did:
yum clean all
yum distro-sync
yum reinstall bind-libs bind-utils openssl openssl-libs krb5-libs libcap libxml2 glibc

These are the versions I have got now:
bind-libs-lite-9.9.4-8.fc20.x86_64
glibc-headers-2.18-11.fc20.x86_64
libxml2-2.9.1-2.fc20.x86_64
openssl-libs-1.0.1e-30.fc20.x86_64
openssl-libs-1.0.1e-30.fc20.i686
libcap-2.22-7.fc20.i686
glibc-2.18-11.fc20.i686
bind-libs-9.9.4-8.fc20.x86_64
glibc-debuginfo-common-2.18-11.fc20.x86_64
krb5-libs-1.11.3-33.fc20.i686
libcap-2.22-7.fc20.x86_64
glibc-common-2.18-11.fc20.x86_64
libcap-ng-0.7.3-6.fc20.x86_64
krb5-libs-1.11.3-33.fc20.x86_64
glibc-devel-2.18-11.fc20.x86_64
bind-utils-9.9.4-8.fc20.x86_64
openssl-1.0.1e-30.fc20.x86_64
libxml2-python-2.9.1-2.fc20.x86_64
glibc-debuginfo-2.18-11.fc20.x86_64
glibc-2.18-11.fc20.x86_64
libxml2-devel-2.9.1-2.fc20.x86_64
Comment 21 Tomáš Hozza 2013-12-16 04:11:03 EST
(In reply to Juan Orti Alcaine from comment #20)
> I think I have fixed it. Some package I had installed must be broken. I did:
> yum clean all
> yum distro-sync
> yum reinstall bind-libs bind-utils openssl openssl-libs krb5-libs libcap
> libxml2 glibc
> 
> These are the versions I have got now:
> bind-libs-lite-9.9.4-8.fc20.x86_64
> glibc-headers-2.18-11.fc20.x86_64
> libxml2-2.9.1-2.fc20.x86_64
> openssl-libs-1.0.1e-30.fc20.x86_64
> openssl-libs-1.0.1e-30.fc20.i686
> libcap-2.22-7.fc20.i686
> glibc-2.18-11.fc20.i686
> bind-libs-9.9.4-8.fc20.x86_64
> glibc-debuginfo-common-2.18-11.fc20.x86_64
> krb5-libs-1.11.3-33.fc20.i686
> libcap-2.22-7.fc20.x86_64
> glibc-common-2.18-11.fc20.x86_64
> libcap-ng-0.7.3-6.fc20.x86_64
> krb5-libs-1.11.3-33.fc20.x86_64
> glibc-devel-2.18-11.fc20.x86_64
> bind-utils-9.9.4-8.fc20.x86_64
> openssl-1.0.1e-30.fc20.x86_64
> libxml2-python-2.9.1-2.fc20.x86_64
> glibc-debuginfo-2.18-11.fc20.x86_64
> glibc-2.18-11.fc20.x86_64
> libxml2-devel-2.9.1-2.fc20.x86_64

Great news. Strange thing is that version of your installed packages didn't
change.

Since you are not experiencing this issue any more, I'm closing this BZ as
NOTABUG. If you run into the same problem in the future and reinstalling
packages doesn't work for you, feel free to reopen this Bug.

Note You need to log in before you can comment on or make changes to this bug.